Job Applicant
Get Job Applicant Details
Retrieve job applicant details via this endpoint.
GET
/
job
/
applicant
/
{jobApplicantId}
Get Job Applicant Details
curl --request GET \
--url https://public.api.micro1.ai/job/applicant/{jobApplicantId} \
--header 'x-api-key: <api-key>'import requests
url = "https://public.api.micro1.ai/job/applicant/{jobApplicantId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public.api.micro1.ai/job/applicant/{jobApplicantId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "<string>",
"data": {
"job_applicant_id": "123e4567-e89b-12d3-a456-426614174000",
"job_id": "123e4567-e89b-12d3-a456-426614174000",
"job_title": "Full Stack Engineer",
"first_name": "John",
"last_name": "Doe",
"email_id": "john.doe@micro1.ai",
"phone_number": "+1234567890",
"phone_country_iso_code": "US",
"resume_url": "https://micro1.ai/resume/h0gqkAcaDJ.pdf",
"linkedin_url": "https://www.linkedin.com/in/john-doe-1234567890",
"source_name": "Linkedin",
"resume_score": 85,
"parsed_resume_data": {
"education": [
{
"major": "Computer Science",
"degree": "Bachelor of Science",
"end_date": "2022-06-30",
"is_present": false,
"start_date": "2021-10-01",
"university_name": "University of California, Los Angeles"
},
{
"major": "Computer Science",
"degree": "Master of Science",
"end_date": null,
"is_present": true,
"start_date": "2022-09-01",
"university_name": "University of California, Los Angeles"
}
],
"experience": [
{
"role": "Software Engineer",
"end_date": null,
"is_present": true,
"start_date": "2022-01-01",
"tech_stack": [
"React.js",
"Node.js",
"Express.js",
"MongoDB",
"PostgreSQL",
"Docker",
"Kubernetes"
],
"company_name": "micro1",
"responsibilities": "<ul><li>Developed and maintained web applications using React.js and Node.js.</li><li>Implemented RESTful APIs using Express.js and MongoDB.</li><li>Collaborated with the development team to ensure the software met quality standards.</li><li>Troubleshot test failures and identified root causes.</li><li>Automated manual testing tasks.</li><li>Worked with other engineers to improve the test automation framework.</li><li>Stayed up-to-date on the latest testing technologies.</li></ul>"
}
]
},
"screening_question_answers": [
{
"question": "What is your experience with React.js?",
"answer": "I have 3 years of experience with React.js"
}
],
"date_created": "2021-01-01 00:00:00",
"date_modified": "2021-01-01 00:00:00",
"status": "active"
}
}{
"status": false,
"message": "Invalid request"
}{
"status": false
}Authorizations
API key to access the API
Path Parameters
ID of the Job Applicant
Previous
Create a webhookThis endpoint sets up a webhook for the AI Recruiter. It allows you to receive notifications, such as interview results, when a candidate completes the interview and the report is generated.
Next
⌘I
Get Job Applicant Details
